' addtopath.vbs - adds the specified folder to the "all users" path
    dim shl, env

    set shl = CreateObject("WScript.Shell")
    set env = shl.Environment("system")

    add_folder_to_path "c:\scripts"        ' add c:\scripts to the PATH

' ------------------------------------------------------------------------
' add_folder_to_path - add a specified folder to the PATH if it's not already there

sub add_folder_to_path (newfolder)
    dim curpath, i, testfolder

    curpath = ucase(trim(env.Item("PATH")))     ' get a copy of the current PATH
    do while len(curpath) > 0                   ' check each folder in the list
        i = instr(curpath, ";")                 ' ... find semicolon (separator)
        if i = 0 then                           ' ... if none found, curpath has
            testfolder = curpath                '     just one folder. Take it,
            curpath    = ""                     '     and there are no more left
        else                                    ' ... otherwise take up to but not
            testfolder = trim(left(curpath, i-1))  '  including the ; as a name
            curpath    = trim(mid(curpath, i+1))   '  and this is that's left
        end if                                     '  for next time through

        if ucase(newfolder) = testfolder then
            wscript.echo newfolder, "is already in the path"
            exit sub  ' folder was already in PATH
	end if
    loop                                        ' ... keep picking apart curpath

    ' if we never found it, add newfolder to the PATH
    env.Item("PATH") = env.Item("PATH") & ";" & newfolder

    wscript.echo "Added", newfolder, "to the path"
end sub
