                                         ' Example file bmpsize.vbs

set fso = CreateObject("Scripting.FileSystemObject")

for each filename in Wscript.Arguments
    if not fso.FileExists(filename) then
        ' the file doesn't exist
        result = "does not exist"

    elseif fso.GetFile(filename).Size < 32 then
        ' the file is not long enough to be valid
        result = "is not a BMP file"

    else
        ' open the file and read the first 32 bytes
        set stream = fso.OpenTextFile(filename)
        hdr = stream.Read(32)
        stream.Close       ' close the stream

        if left(hdr,2) <> "BM" then
            ' the file didn't start with the required marker
            result = "is not a BMP file"
        else
            ' extract the size information
            width  = binaryval(hdr, 18, 4)
            height = binaryval(hdr, 22, 4)
            result = "Width: " & width & "  Height: " & height
        end if
    end if

    ' display whatever information we got for this file
    wscript.echo filename & ":", result
next

' ---------------------------------------------------------------------
function binaryval (byref str, offset, n)
    dim i
    binaryval = 0
    for i = offset+n-1 to offset step -1
        binaryval = binaryval*256 + asc(mid(str,i+1,1))
    next
end function
