                                            ' Example file script0409.vbs
set fso = CreateObject("Scripting.FileSystemObject")
set shl = CreateObject("WScript.Shell")

' get pathname of [My] Music, which isn't easy.
' The folder locations are different on XP vs Vista.
' On vista it's folder Music, inside the User Profile folder.
' On XP, it's in folder My Music, inside the My Documents folder.
' The shl.SpecialFolders method can give us the true location of [My] Documents,
' but there is no guaranteed way of finding Music on Vista. What we'll do
' is use the USERPROFILE environment variable, and try the Vista location.
' If the Music folder doesn't exist, we'll try the XP name and location.

musicfolder = shl.ExpandEnvironmentStrings("%USERPROFILE%\Music")
if not fso.folderexists(musicfolder) then
    musicfolder = fso.BuildPath(shl.SpecialFolders("MyDocuments"), "My Music")
end if

wscript.echo "Searching", musicfolder, "for MP3 and WMA files..."

                         ' create output file in the My Music folder
set out = fso.CreateTextFile(fso.BuildPath(musicfolder, "Music Listing.txt"))

nfiles  = 0              ' list the music files
listdir ""
out.Close                ' close the output file
                         ' tell user what we did
wscript.echo "Listed", nfiles, "files"

' ---------------------------------------------------------------------
' listdir - list the music files in subfolder 'path' under My Documents.
' We use the path relative to My Documents to make the listing more
' readable, but we must add this relative path name to the My Documents
' path (in variable musicfolder) to use GetFolder.

sub listdir (path)
    dim fldr, file, folder, extn, first

    first = True         ' we've see no files in this folder yet
                         ' get the folder info by creating full path
    set fldr = fso.GetFolder(fso.BuildPath(musicfolder, path))

                         ' scan through files for MP3's or WMA's
    for each file in fldr.Files
       extn = ucase(fso.GetExtensionName(file.name))
       if extn = "MP3" or extn = "WMA" then
            if first then    ' print the folder name before first file
                out.WriteLine path
                out.WriteLine replicate("-", len(path))
                first = False
            end if
                            ' list the music file name
            out.WriteLine "   " & file.name
            nfiles = nfiles+1
       end if
    next 
                            ' if we listed any files, print blank line
    if not First then out.WriteLine

                            ' now list contents of any subfolders
    for each folder in fldr.subfolders
        listdir fso.BuildPath(path, folder.Name)
    next
end sub

' ---------------------------------------------------------------------
' replicate - return the string 'str' duplicated 'n' times

function replicate (str, n)
   dim i
   replicate = ""          ' start with a blank string
   for i = 1 to n          ' append as many copies as requested
       replicate = replicate & str
   next
end function
