                                         ' Example file script0410.vbs
set fso = CreateObject("Scripting.FileSystemObject")
set shl = CreateObject("WScript.Shell")

' get pathname of [My] Music, which isn't easy.
' The folder locations are different on XP vs Vista.
' On XP, it's in folder My Music, inside the My Documents folder.
' On Vista it's folder Music, inside the User Profile folder.
' The shl.SpecialFolders method can give us the true location of [My] Documents,
' but there is no guaranteed way of finding Music on Vista. What we'll do
' is use the USERPROFILE environment variable, and try the Vista location.
' If the Music folder doesn't exist, we'll try the XP name and location.

musicfolder = shl.ExpandEnvironmentStrings("%USERPROFILE%\Music")
if not fso.folderexists(musicfolder) then
    musicfolder = fso.BuildPath(shl.SpecialFolders("MyDocuments"), "My Music")
end if

wscript.echo "Searching", musicfolder, "for MP3 and WMA files..."

                         ' create output file in the My Music folder
set out = fso.CreateTextFile(fso.BuildPath(musicfolder, "Music Listing.dat"))

nfiles  = 0              ' list the music files
listdir ""

out.Close                ' close the output file
                         ' tell user what we did
wscript.echo "Listed", nfiles, "files"

' ---------------------------------------------------------------------
' listdir - list the music files in subfolder 'path' under My Documents.
' We use the path relative to My Documents to make the listing more
' readable, but we must add this relative path name to the Music folder
' path (in variable musicfolder) to use GetFolder. This version creates a
' tab-delimited table rather than a formatted text listing.

sub listdir (path)
    dim fldr, file, folder, extn

                         ' get the folder info by creating full path
    set fldr = fso.GetFolder(fso.BuildPath(musicfolder, path))

                         ' scan through files for MP3's or WMA's
    for each file in fldr.Files
       extn = ucase(fso.GetExtensionName(file.name))
       if extn = "MP3" or extn = "WMA" then
                            ' format the path, name and size
            out.WriteLine path & vbTab & file.name & vbTab & file.Size
            nfiles = nfiles+1
       end if
    next 
                            ' now list contents of any subfolders
    for each folder in fldr.subfolders
        listdir fso.BuildPath(path, folder.Name)
    next
end sub
