                                         ' Example file script0414.vbs

const NODE_ELEMENT = 1	   ' nodetype value from Table 4.3

set xdoc = CreateObject("MSXML2.DOMDocument")

xdoc.load("test.xml")      ' load the file into the object

xmldump xdoc, 0            ' dump the entire document structure

' ---------------------------------------------------------------------
' xmldump - list contents of XML object 'x'; lvl is current depth

sub xmldump (x, lvl)
    dim gap, child, i

    gap = space(lvl*3)  ' make an indenting string to show the depth
                        ' list the node type and name
    wscript.echo gap & "---------------------"
    wscript.echo gap & x.nodeTypeString, "'" & x.nodename & "'"

                        ' list any attributes
    if x.nodetype = NODE_ELEMENT then
        set alist = x.attributes
        for i = 0 to alist.length-1
            set attr = alist.item(i)
            wscript.echo gap & "Attribute", attr.nodeName, "=", attr.nodeValue
        next
    end if
                        ' if the node has any text content, list it
    if not isnull(x.nodeValue) then _
         wscript.echo gap & "nodeValue:",      "'" & x.nodeValue & "'"

                        ' now list any children, indented one level deeper
    if x.hasChildNodes then
       for each child in x.childNodes
           xmldump child, lvl+1
       next
    end if
end sub
