' --------------------------------------------------------------------
' DeletePrinter (path)
'	Remove the icon for a network printer
'
' Arguments:
'	path - the UNC share name of the network printer
'
' Return value:
'	True if the mapping was successfully canceled, False otherwise.
'	The value err.description should give the reason as a text string
'	(if you care).
'
' Example:
'	DeletePrinter "\\server\HPLaserjet"
' --------------------------------------------------------------------

function DeletePrinter (byval path)
    dim maps, i, ismapped                     ' local variables

    path = ucase(path)                        ' be sure path is uppercase

    DeletePrinter = True                      ' assume success

    ismapped = False                          ' see if printer is exists
    set maps = wshNetwork.EnumPrinterConnections
    for i = 0 to maps.Length-2 step 2
        if ucase(maps.item(i+1)) = path then
            ismapped = True                   ' we are using this printer
            exit for
        end if
    next

    if not ismapped then exit function        ' printer not used, just return

    err.Clear
    on error resume next                      ' delete connection
    wshNetwork.RemovePrinterConnection path, True, True
    if err.number <> 0 then
       DeletePrinter = False                  ' we failed
    end if
    on error goto 0
end function
