' --------------------------------------------------------------------
' GetDriveMapping (drive)
'	Find the network share name of a mapped network drive.
'
' Arguments:
'	drive -	string value, drive letter to test.
'		(Only the first letter of 'drive' is examined)
'
' Return value:
'	String value, the UNC path to the network share
'	corresponding to the drive letter, or the empty string
'	if the drive is not a mapped network drive.
'
' Example:
'	GetDriveMapping("P") might return "\\bigserver\public"
' --------------------------------------------------------------------

function GetDriveMapping (byval drive)
    dim i, maps

    ' use only the letter, not :, and make sure it's upper
    drive = ucase(left(drive,1))

    ' get list of mappings
    set maps = wshNetwork.EnumNetworkDrives

    ' assume it's not mapped
    GetDriveMapping = ""

    ' scan the list of mapped drives
    for i = 0 to maps.Length-2 step 2
        if ucase(left(maps.item(i),1)) = drive then
            ' the letter was listed, we have our answer
            GetDriveMapping = ucase(maps.item(i+1))
            exit for
        end if
    next
end function
