' --------------------------------------------------------------------
' IsDriveMapped (drive)
'	Indicates whether or not a drive letter is a mapped 
'	network drive
'
' Arguments:
'	drive -	string value, drive letter to test.
'		(Only the first letter of 'drive' is examined)
'
' Return value:
'	True if the drive is a mapped network drive,
'	False if the drive is a local drive or is not a valid drive.
'
' Examples:
'	IsDriveMapped("Z") might return True
'	IsDriveMapped("Z:\files") would returns the same value
'	IsDriveMapped("C") would probably return False
' --------------------------------------------------------------------

function IsDriveMapped (byval drive)
' use only the letter, not :, and make sure it's uppercase
    drive = ucase(left(drive,1))

    ' assume it's not mapped
    IsDriveMapped = False

    ' if no such drive, return False right now
    if not fso.DriveExists(drive) then exit function

    ' get Drive object and check its type: 3 = mapped
    isDriveMapped = (fso.GetDrive(drive).driveType = 3)
end function
