' --------------------------------------------------------------------
' UnMap(drive)
'	Cancel the mapping of a drive letter to a network shared folder.
'	The unmapping is permanent (mapping will not be done on next login)
'
' Arguments:
'	drive -	string value, drive letter to unmap.
'		(Only the first letter of 'drive' is examined)
'
' Return value:
'	True if the mapping was successfully canceled, False otherwise.
'	Reasons for failure could be that you had files in use on the
'	shared drive or the drive was not mapped to a network share.
'	The value err.description should give the reason as a text string
'	(if you care).
'
' Example:
'	UnMap "Z"
'	UnMap "Z:"
' --------------------------------------------------------------------

function UnMap(byval drive)
    UnMap = True                               ' assume success

    if len(drive) = 1 then drive = drive & ":" ' ensure there's a colon

    on error resume next                       ' try to unmap, but don't halt
    err.Clear                                  ' clear info for any previous errors
    wshNetwork.RemoveNetworkDrive drive, False, True ' if an error occurs
    on error goto 0

    if err.Number <> 0 then                    ' there was an error
         UnMap = False                         ' report failure
    end if
end function
