                                                  ' Example File script0504.vbs
    ' create utility objects
    set wshNetwork = CreateObject("Wscript.Network")
    set fso = CreateObject("Scripting.FileSystemObject")

    ' use the RedirectPrinter function shown earlier in the chapter
    ' to set up LPT2 for remote printing
    if not RedirectPrinter("LPT2", "\\sumatra\laserjet", False)	
	wscript.echo "* Unable to print report:", err.description
	wscript.quit
    end if

    ' Open a TextStream object, with output to LPT2
    set pfile = fso.CreateTextFile("LPT2:")

    ' write the report
    pfile.WriteLine "---------- " & now() & " ----------"
    pfile.WriteLine "This is the report"
    pfile.WriteLine "This more of the report"
    pfile.WriteLine "This is end of the report"

    ' end the report and remove the printer redirection
    pfile.Write chr(12)
    pfile.Close

    wshNetwork.RemovePrinterConnection "LPT2"


function RedirectPrinter (byval device, byval path, byval updateProfile)
    dim maps, i, ismapped                    ' local variables
    dim devcolon, devnocolon

    device = ucase(device)                   ' put port name in uppercase
    i = instr(device, ":")                   ' get versions of name with
    if i > 0 then                            ' and without the colon
        devcolon   = device
        devnocolon = left(device, i-1)
    else
        devcolon   = device & ":"
        devnocolon = device
    end if

    RedirectPrinter = True                   ' assume success

    ismapped = False                         ' see if port already mapped
    set maps = wshNetwork.EnumPrinterConnections
    for i = 0 to maps.Length-2 step 2
        if maps.item(i) = devnocolon and _
                left(maps.item(i+1),2) = "\\" then ' port is already redirected
            ismapped = True
            exit for
        elseif maps.item(i) = devnocolon then ' port hooks to a local printer
            RedirectPrinter = False           ' we cannot redirect it
            exit function
        end if
    next

    if ismapped then
        err.Clear
        on error resume next                  ' delete existing  connection
        wshNetwork.RemovePrinterConnection device, True, updateProfile

        if err.number <> 0 then
            RedirectPrinter = False           ' return False if error
            exit function
        end if
        on error goto 0
    end if

    err.Clear
    on error resume next                      ' try to make the connection
    wshNetwork.AddPrinterConnection device, path, updateProfile

    if err.number <> 0 then 
	RedirectPrinter = False               ' return False if error
    end if

    on error goto 0
end function

