                                          ' Example file mailfiles.vbs

if WScript.arguments.count <= 0 then      ' no files were specified
    MsgBox "Usage: mailfiles filename..., or drag files onto shortcut"
    WScript.quit 0
end if

const cdoSendUsingPort = 2                ' standard CDO constants
const cdoAnonymous     = 0

sender    = "brian@mycompanyxyz.com"       ' sender of message
recipient = "sheila@mycompanyxyz.com"      ' recipient of this message

set msg  = CreateObject("CDO.Message")    ' create objects
set conf = CreateObject("CDO.Configuration")
set msg.configuration = conf

With msg                                  ' build the message
    .to       = recipient
    .from     = sender
    .subject  = "Files for you"
    .textBody = "Attached to this message are files for you."

    nfiles = 0                            ' count of files attached
    for each arg in WScript.arguments     ' treat each argument as a
        .AddAttachment arg                ' file to be attached
        nfiles = nfiles+1
    next 
End With

prefix = "http://schemas.microsoft.com/cdo/configuration/"
With conf.fields                          ' set delivery options
    .item(prefix & "sendusing")           = cdoSendUsingPort
    .item(prefix & "smtpserver")          = "mail.mycompanyxyz.com"
    .item(prefix & "smtpauthenticate")    = cdoAnonymous
.update                                   ' commit changes
End With
on error resume next       ' do not stop on errors
msg.send                   ' deliver the message
on error goto 0            ' restore normal error handling

if err then                ' if something went wrong...
    MsgBox "Error sending message"
else
    if nfiles = 1 then plural = "" else plural = "s"
    MsgBox "Sent " & nfiles & " file" & plural & " to " & recipient
end if

