' script to send an HTML-formatted email message with an embedded image

    EMAIL_RECIPIENT = "you@there.com"           ' set email addresses
    EMAIL_SENDER    = "me@gmail.com"

    SMTP_SERVER     = "smtp.gmail.com"
    SMTP_PASSWORD_REQUIRED = True               ' outgoing mail server info
    SMTP_USERNAME   = "me@gmail.com"
    SMTP_PASSWORD   = "mypassword"
    SMTP_ENCRYPTED  = True

    const cdoSendUsingPort = 2			' standard CDO constants
    const cdoAnonymous     = 0
    const cdoBasic         = 1
    const cdoRefTypeId     = 0
    const cdoRefTypeName   = 1

    ' -------------------------------------------------------------------------
    ' TIP 1: SPECIFY THE FULL PATH TO ANY ATTACHMENT FILES
    ' -------------------------------------------------------------------------

    imagefile1 = "c:\scripts\06\logo.gif"  ' specify full path
    name1      = "image01"                 ' make up an ID for each attachment
                                           ' and use that in the link

    html_msg   = "<HTML><BODY>This is a message with an image<P>" & _
                 "<img src=""" & name1 & """><P>Did that work?</BODY></HTML>"

    ' -------------------------------------------------------------------------
    ' TIP 2: set a text version so people with non-HMTL mail clients
    '        will see something.
    ' -------------------------------------------------------------------------

    txt_msg    = "This is a message with an image." & vbCrLf & _
                 "[image would go here]" & vbCrLf & _
                 "Did that work?" & vbCrLf

    ' -------------------------------------------------------------------------
    ' (You could also set msg.AutoGenerateTextBody = True to have it create
    ' the text version automatically from the HTML. You might want to try it
    ' to see if it's good enough; conversely you may want the text-only
    ' version to tell people how to view the message in a web browser).
    ' -------------------------------------------------------------------------

    set msg  = CreateObject("CDO.Message")	' create objects
    set conf = CreateObject("CDO.Configuration")
    set msg.configuration = conf

    with msg					' build the message
	.to       = EMAIL_RECIPIENT
	.from     = EMAIL_SENDER
	.subject  = "Test of formatted message with image"
	.HTMLbody = html_msg
	.textBody = txt_msg

    ' -------------------------------------------------------------------------
    ' TIP 4: For an ordinary attachment we'd use "AddAttachment", but here we
    ' use AddRelatedBodyPart so that we can specify the reference name. You can
    ' add more than one related body part. Each must get a different name.
    ' -------------------------------------------------------------------------

        set img = .AddRelatedBodyPart(imagefile1, name1, cdoRefTypeName)
	img.ContentMediaType="Application/Octet-stream"
    end with

                                                ' set mail server info
    prefix = "http://schemas.microsoft.com/cdo/configuration/"
    with conf.fields
        .item(prefix & "sendusing")              = cdoSendUsingPort
        .item(prefix & "smtpserver")             = SMTP_SERVER
        if SMTP_PASSWORD_REQUIRED then
            .item(prefix & "smtpauthenticate")   = cdoBasic
            .item(prefix & "sendusername")       = SMTP_USERNAME
            .item(prefix & "sendpassword")       = SMTP_PASSWORD
            if SMTP_ENCRYPTED then
                .item(prefix & "smtpusessl")     = True
                .item(prefix & "smtpserverport") = 465
            end if
        else
            .item(prefix & "smtpauthenticate")   = cdoAnonymous
        end if
        .update					' commit changes
    end with

    err.clear
    on error resume next      		 	' do not stop on errors
    msg.send					' deliver the message

    if err.number = 0 then			' report results
	wscript.echo "Message sent"
    else
	wscript.echo "Send failed: ", err.description
    end if
