			                  ' Example file scanmail.vbs

                                          ' folder to scan for files
scanfolder    = "c:\Documents and Settings\All Users.windows\Documents\MailThese"

                                          ' folder to place mailed files
archivefolder = "c:\Documents and Settings\All Users.windows\Documents\Mailed\"

sender        = "brian@mycompanyxyz.com"  ' sender of message
recipient     = "sheila@mycompanyxyz.com" ' recipient of this message
relayserver   = "mail.mycompanyxyz.com"   ' SMTP server

' ----------------------------------------------------------------
' GET LIST OF FILES
' ----------------------------------------------------------------

WScript.echo "Scanning " & scanfolder & "..."

set fso = CreateObject("Scripting.FileSystemObject")
set folder = fso.GetFolder(scanfolder)

maxfiles = 50                             ' largest number of files expected
dim filelist()                            ' create resizable array to hold filenames
redim filelist(maxfiles)

nfiles = 0                                ' count of files stored

for each file in folder.Files             ' scan the folder
    if nfiles >= maxfiles then            ' if array is already full,
        maxfiles = nfiles+50              ' make it larger
        redim preserve filelist(maxfiles)
    end if

    WScript.echo "  Found", file.name     ' list the files we find

    filelist(nfiles) = file.path          ' save filelist(0, 1, ...)
    nfiles = nfiles+1                     ' add one to count of files
next

if nfiles = 0 then
    WScript.echo "No files to send"
    WScript.quit(0)                       ' nothing to do, just quit
end if

' ----------------------------------------------------------------
' COMPOSE THE MESSAGE
' ----------------------------------------------------------------

set msg  = CreateObject("CDO.Message")    ' create objects
set conf = CreateObject("CDO.Configuration")
set msg.configuration = conf

if nfiles = 1 then plural = "" else plural = "s"

With msg                                  ' build the message
    .to       = recipient
    .from     = sender
    .subject  = "Files for you"

    .textBody = "Attached to this message are " & nfiles & plural &_
        " files for your attention."

    for i = 0 to nfiles-1                 ' attach all of the files
        .AddAttachment filelist(i)
    next 
End With

' ----------------------------------------------------------------
' SET DELIVERY INFO
' ----------------------------------------------------------------

const cdoSendUsingPort = 2                ' standard CDO constants
const cdoAnonymous     = 0

prefix = "http://schemas.microsoft.com/cdo/configuration/"
With conf.fields                          ' set delivery options
    .item(prefix & "sendusing")           = cdoSendUsingPort
    .item(prefix & "smtpserver")          = smtpserver
    .item(prefix & "smtpauthenticate")    = cdoAnonymous
.update                                   ' commit changes
End With

WScript.echo "Sending message..."

on error resume next       ' do not stop on errors
msg.send                   ' deliver the message
errno = err.number
on error goto 0            ' restore normal error handling

wscript.echo "Error", err.number

if errno <> 0 then                ' if something went wrong...
    wscript.echo "error sending message"
    wscript.quit 1         ' just quit, as this is an unattended script
end if

wscript.quit(0)

' ----------------------------------------------------------------
' ARCHIVE THE FILES
' ----------------------------------------------------------------

wscript.echo nfiles & " file" & plural & " sent to " & recipient

WScript.echo "Moving files..."
for i = 0 to nfiles-1
    fso.MoveFile filelist(i), archivefolder
next

WScript.echo "Done"
