                                                    ' Example file copyall.vbs
option explicit
dim FSO, shl, target, file, pathlist, pathdir, I, env

on error resume next  ' don't stop on errors; user won't see message

set FSO = CreateObject("Scripting.FileSystemObject")
set shl = CreateObject("WScript.Shell")

' install to x:\scripts, where x: is the system (Windows) drive

set env = shl.Environment("process")
target = env.item("SYSTEMDRIVE") & "\scripts"
if not fso.FolderExists(target) then fso.CreateFolder(target)

' copy all distributed files except this script

for each file in FSO.GetFolder(".").Files
    if lcase(file.Name) <> "copy_all.vbs" then
        wscript.echo "Copying", file.Name, "to", target

        file.Copy fso.BuildPath(target, file.Name)

        if err.number <> 0 then
            msgbox "Unable to copy " & file.Name & " to " & target & _
                   "; installation failed."
            wscript.quit
        end if
    end if
next

' see if target folder is in the PATH

pathlist = env.Item("PATH")    ' examine the PATH
do while len(pathlist) > 0
    i = instr(pathlist, ";")      ' find the dividing semicolon
    if i = 0 then
        pathdir = pathlist        ' no semicolon, this was the last entry
        pathlist = ""
    else
        pathdir = left(pathlist, i-1) ' text to the left of the semi
        pathlist = mid(pathlist, i+1) ' rest of text after the semi
    end if

    ' if the c:\scripts is already in the path, we're done
    if lcase(pathdir) = lcase(target) then wscript.quit
loop

' if we get here, the target folder is not already in the path; add it.

wscript.echo "Adding", target, "to the PATH"

set env = shl.Environment("system")
env.item("PATH") = env.item("PATH")& ";" & target

if err.number <> 0 then
    msgbox "I was unable to add " & target & " to the PATH"
end if
