                                        ' Example File script0902.vbs

set rc = CreateObject("WSHController")  ' create remote controller object

                                        ' run script on ComputerX
runremote "c:\scripts\remote\checkfree.vbs", "ComputerX"

' --------------------------------------------------------------
' runremote - subroutine to run a script on a remote computer
' This version looks for a special error return value that indicates
' a special message has been returned in the error's Description.

sub runremote (scriptfile, computername)
    dim rScript, runtime

    WScript.echo "Running script", scriptfile, "on", computername & "..."
                                        ' create remote script object
    set rScript = rc.CreateScript(scriptfile, computername)

    rScript.execute                     ' start the remote script

    runtime = 0                         ' wait up to 30 seconds for it to finish
    do while rScript.Status <> 2
        if runtime >= 30000 then        ' it's taken too long
           rScript.Terminate
           WScript.echo "...Script did not finish, terminating it"
           exit sub
        end if
        WScript.Sleep 500               ' wait 500 msec (1/2 second) more
        runtime = runtime+500
    loop

    with rScript.Error                  ' examine error code for data value or error
       select case .Number
           case (vbObjectError+47)      ' this is the magic number
               WScript.echo "The remote script said:", .Description

           case 0                       ' exited without throwing an error?
               WScript.echo "Remote script exited with no message"

           case else                    ' it encountered a real error
               WScript.echo "Remote script encountered error #", .Number
               WScript.echo .Description
        end select
    end with
end sub
